Loading...
Searching...
No Matches
add_adapt< Problem, std::false_type >

## Detailed Description

template<class Problem>
class rheolef::details::add_adapt< Problem, std::false_type >

Definition at line 83 of file newton_add_missing.h.

Inheritance diagram for add_adapt< Problem, std::false_type >:

## Public Types

typedef Problem::float_type | float_type
typedef Problem::value_type | value_type

## Public Member Functions

| add_adapt (const add_adapt &f)
| add_adapt (const Problem &f)
void | adapt (const value_type &, const adapt_option &) const
void | reset_geo (const value_type &)
value_type | reinterpolate (const value_type &uh)
add_adapt< Problem > & | operator= (add_adapt< Problem > &&f)

## Member Typedef Documentation

## float_type

template<class Problem>

typedef Problem::float_type float_type

Definition at line 85 of file newton_add_missing.h.

## value_type

template<class Problem>

typedef Problem::value_type value_type

Definition at line 86 of file newton_add_missing.h.

## Constructor & Destructor Documentation

## add_adapt() [1/2]

template<class Problem>

add_adapt | ( | const add_adapt< Problem, std::false_type > & | f | ) |

Definition at line 87 of file newton_add_missing.h.

## add_adapt() [2/2]

template<class Problem>

add_adapt | ( | const Problem & | f | ) |

explicit

Definition at line 88 of file newton_add_missing.h.

## Member Function Documentation

## adapt()

template<class Problem>

void adapt | ( | const value_type & | ,
|  | const adapt_option & | ) const

Definition at line 89 of file newton_add_missing.h.

## reset_geo()

template<class Problem>

void reset_geo | ( | const value_type & |  | ) |

Definition at line 90 of file newton_add_missing.h.

## reinterpolate()

template<class Problem>

value_type reinterpolate | ( | const value_type & | uh | ) |

Definition at line 91 of file newton_add_missing.h.

## operator=()

template<class Problem>

add_adapt< Problem > & operator= | ( | add_adapt< Problem > && | f | ) |

Definition at line 92 of file newton_add_missing.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/newton_add_missing.h